petsc-3.4.2 2013-07-02

# DMPlexProjectFunction

This projects the given function into the function space provided.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexProjectFunction(DM dm, PetscInt numComp, void (**funcs)(const PetscReal [], PetscScalar *), InsertMode mode, Vec X)

### Input Parameters

| dm | - The DM
| numComp | - The number of components (functions)
| funcs | - The coordinate functions to evaluate
| mode | - The insertion mode for values

### Output Parameter

X -vector

### Note

This currently just calls the function with the coordinates of each vertex and edge midpoint, and stores the result in a vector. We will eventually fix it.

### See Also

DMPlexComputeL2Diff()

Level:developer
Location:src/dm/impls/plex/plexfem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex31.c.html
src/snes/examples/tutorials/ex62.c.html